/// <reference types="node" />
import { Readable, ReadableOptions } from 'node:stream';
import { TestResult } from '../tests';
export interface TapResult {
    description: string;
    diagnostics: string[];
    outcome: string;
    testNumber: number;
}
export declare class TapFormatTransformer extends Readable {
    private testResult;
    private epilogue?;
    constructor(testResult: TestResult, epilogue?: string[], options?: ReadableOptions);
    _read(): void;
    format(): void;
    buildTapResults(): void;
    private buildTapDiagnostics;
}
